<section class="item-summary">
    <!-- <h6>Cart #{{code}}</h6> -->
    <table class="item-details">
        <tr class="item-header">
            <td class="desc">DESCRIPTION</td>
            <td class="price">PRICE</td>
            <td class="qtn">QTN</td>
            <td class="total">TOTAL</td>
        </tr>
        <tr *ngFor="let item of cartItems; let i = index" class="item-list">
            <td class="desc">
                <div>
                    <a [href]="item.product.url"><img [src]="hostName + item.product.picture.url" alt={{item.product.picture.code}}>
                    </a>
                </div>
                <div class="item-name">
                    <a [href]="item.product.url">{{item.product.name}}</a>
                </div>
            </td>
            <td class="price">{{item.price}}</td>
            <td class="qtn">
                <div>
                    <!-- <button mat-raised-button class="secondary-btn"  [disabled]="disabled">-</button> -->
                    <input type="number" [value]="item.quantity" (change)="updateInput($event.target.value, i, item.entryNumber)" disabled="disabled"/>
                    <!-- <button mat-raised-button class="secondary-btn"  [disabled]="disabled">+</button> -->
                </div>
            </td>
            <td class="total">SAR {{item.totalPrice.value.toFixed(2)}}</td>
            <span (click)="deleteCart(item.entryNumber)" class="remove">Remove</span>
        </tr>
    </table>
</section>
<section class="summary-container-mobile">
    <h6>Cart #{{code}}</h6>
    <div  *ngFor="let item of cartItems; let i = index" class="item-details">
        <div class="item-image">
            <a [href]="item.product.url"><img [src]="hostName + item.product.picture.url" alt={{item.product.picture.code}}></a>
        </div>
        <div class="item-desc">
            <span class="name">{{item.product.name}}</span>
            <span class="id">ID 325414</span>
            <div class="item-total">
                <span class="key">Item Price</span>
                <span class="value" *ngIf="productType === 'HRMS'">{{item.price}}</span>
            </div>
            <div class="item-total">
                <span class="key">Qtn</span>
                <span class="value">
                    <div>
                        <!-- <button mat-raised-button class="secondary-btn" (click)="updateQtn('-1',i, item.entryNumber)" [disabled]="itemQtn === 0">-</button> -->
                        <input type="number" [value]="item.quantity" (change)="updateInput($event.target.value, i, item.entryNumber)" disabled="disabled"/>
                        <!-- <button mat-raised-button class="secondary-btn" (click)="updateQtn('+1',i, item.entryNumber)" [disabled]="itemQtn === 99">+</button> -->
                    </div>
                </span>
            </div>
            <div class="item-total">
                <span class="key">Total</span>
                <span class="value">SAR {{item.totalPrice.value.toFixed(2)}}</span>
            </div>
            <span (click)="deleteCart(item.entryNumber)" class="remove">Remove</span>
        </div>
    </div>
</section>